$(window).load(function(){
	$(".ng-loading").remove();
	$('#main-content').fadeIn("slow");
});
$(document).ready(function(){
	$("#warning").alert();
	$('.data-table').dataTable({
		"aaSorting": [],
		"iDisplayLength": 25,
		"aLengthMenu": [[10, 25, 50, -1], [10, 25, 50, "Tot"]],
		"oLanguage": {
			"oPaginate": {
				"sFirst"		: "Primera pàgina",
				"sLast"			: "Darrera pàgina",
				"sNext"			: "Següent",
				"sPrevious"		: "Anterior"
			},
			"sEmptyTable"		: "No hi ha dades",
			"sInfo"				: "Mostrant _START_ a _END_ de _TOTAL_ registres",
			"sInfoEmpty"		: "La taula està buida",
			"sInfoFiltered"		: "Filtrant de _MAX_ registres",
			"sInfoThousands"	: ".",
			"sLengthMenu"		: "Mostrant _MENU_ registres",
			"sLoadingRecords"	: "Carregant...",
			"sProcessing"		: "Processant...",
			"sSearch"			: "Cercar:",
			"sZeroRecords"		: "La taula no conté registres"
		}
	});
	$('.spinner').spinner({value:1, min: 0, max: 9999});

});

function niceScroll(){
	$(".nice-scroll").niceScroll({
		styler:"fb",
		cursorcolor:"#e8403f", 
		cursorwidth: '9', 
		cursorborderradius: '10px', 
		background: '#404040', 
		spacebarenabled:true, 
		cursorborder: '',
		autohidemode: "false"
	});
}

function showModal(name, id){
	$.ajax({
		type: "POST",
		url: "../modal/modal_"+name+".php",
		data:{
			id: id
		},
		success: function(data){
			$("body").append(data);
			$(".modal").on("show.bs.modal", function(){});
			$(".modal").modal();
			$(".modal").on("shown.bs.modal", function(){});
			$(".modal").on("hide.bs.modal", function(){});
			$(".modal").on("hidden.bs.modal", function(){
				$(this).remove();
			});
		}
	});
}
function validateForm(target){
	var val="";
	var valid=true;
	$("#"+target+" .required").each(function(){
		val = $(this).val();
		$(this).parent().removeClass("has-error");
		if(val==""){
			valid=false;
			$(this).parent().addClass("has-error");
		}
	});
	
	if(valid){
		$("*").removeAttr("disabled");
	}
	return valid;
}
