<div class="row">
	<div class="col-lg-12">
		<section class="panel">
			<header class="panel-heading">
				<h3><i class="fas fa-file-download"> </i> Exportar ontologia</h3>
			</header>
			<div class="panel-body">
				<?php
					if (!isset($_REQUEST['format'])) {
				?>
						<form class="form form-horizontal" role="form" method="post" action="?view=dump" id="query" onsubmit="return validateForm(this.id);" enctype="multipart/form-data">
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<label for="format" class="control-label col-lg-2 col-md-2 col-sm-2 col-xs-2">Format de sortida <span class="asterisk">*</span></label>
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<select name="format" id="format" class="form-control required">
										<option value="HTML">HTML</option>
										<option value="TXT">TXT</option>
									</select>
								</div>
							</div>
							<br /><br />
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<label class="control-label col-lg-2 col-md-2 col-sm-2 col-xs-2"></label>
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<input type="submit" name="aceptar" class="btn btn-danger" value="Executar" />
								</div>
							</div>
						</form>
				<?php
					}else{
				?>
						<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
							<?php
								$graph = EasyRdf_Graph::newAndLoad("http://".$_SERVER["HTTP_HOST"]."/tfg/".$ontologia);
								if ($graph) {
									if (isset($_REQUEST['format']) && $_REQUEST['format'] == 'TXT') {
										print "<pre>".$graph->dump('text')."</pre>";
									} else {
										$dump = $graph->dump('html');
										print preg_replace_callback("/ href='([^#][^']*)'/", 'makeLinkLocal', $dump);
									}
								} else {
									print "<p>Error realitzant l'exportació.</p>";
								}
							?>
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<input type="button" onclick="history.back(-1)"name="aceptar" class="btn btn-danger" value="Tornar enrere" />
							</div>
						</div>
				<?php
					}
				?>
			</div>
		</section>
	</div>
</div>
