<div class="row">
	<div class="col-lg-12">
		<section class="panel">
			<header class="panel-heading">
				<h3><i class="fas fa-list"> </i> Llistar instàncies</h3>
			</header>
			<div class="panel-body">
				<?php
					if(!isset($_POST['classe'])){
				?>
						<form class="form form-horizontal" role="form" method="post" action="?view=list" id="query" onsubmit="return validateForm(this.id);" enctype="multipart/form-data">
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<label for="classe" class="control-label col-lg-2 col-md-2 col-sm-2 col-xs-2">Classe <span class="asterisk">*</span></label>
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<select name="classe" id="classe" class="form-control required">
										<option value="Aparcamientos_públicos_municipales">Aparcamientos_públicos_municipales</option>
										<option value="Aparcamientos_residentes">Aparcamientos_residentes</option>
										<option value="Auditorios_y_salas_conciertos">Auditorios_y_salas_conciertos</option>
										<option value="Bibliotecas_Especializadas">Bibliotecas_Especializadas</option>
										<option value="Bibliotecas_y_bibliobuses">Bibliotecas_y_bibliobuses</option>
										<option value="Cementerios">Cementerios</option>
										<option value="Centros_Atención_Menores_Familia">Centros_Atención_Menores_Familia</option>
										<option value="Centros_Atención_Médica">Centros_Atención_Médica</option>
										<option value="Centros_Atención_Social">Centros_Atención_Social</option>
										<option value="Centros_Culturales_Municipales">Centros_Culturales_Municipales</option>
										<option value="Centros_Deportivos_Municipales">Centros_Deportivos_Municipales</option>
										<option value="Centros_Educación">Centros_Educación</option>
										<option value="Centros_Enseñanza">Centros_Enseñanza</option>
										<option value="Cines_y_filmotecas">Cines_y_filmotecas</option>
										<option value="Distrito">Distrito</option>
										<option value="Elemento">Elemento</option>
										<option value="Embajadas_y_Consulados">Embajadas_y_Consulados</option>
										<option value="Estación">Estación</option>
										<option value="M4">M4</option>
										<option value="M5">M5</option>
										<option value="M6">M6</option>
										<option value="M8">M8</option>
										<option value="M9">M9</option>
										<option value="M10">M10</option>
										<option value="Mercados_Municipales">Mercados_Municipales</option>
										<option value="Monumentos">Monumentos</option>
										<option value="Museos">Museos</option>
										<option value="Teatros">Teatros</option>
										<option value="Universidades">Universidades</option>
									</select>
								</div>
							</div>
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<label for="format" class="control-label col-lg-2 col-md-2 col-sm-2 col-xs-2">Format de sortida <span class="asterisk">*</span></label>
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<select name="format" id="format" class="form-control required">
										<option value="HTML">HTML</option>
										<option value="TXT">TXT</option>
									</select>
								</div>
							</div>
							<br /><br />
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<label class="control-label col-lg-2 col-md-2 col-sm-2 col-xs-2"></label>
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<input type="submit" name="aceptar" class="btn btn-danger" value="Executar" />
								</div>
							</div>
						</form>
				<?php
					}else{
				?>
						<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
							<?php
								$sparql = new EasyRdf_Sparql_Client($endpoint);
								if($_POST['classe']=="Distrito"){
									$nom = "nombreDistrito";
								}else if($_POST['classe']=="Estación" || $_POST['classe']=="M4" || $_POST['classe']=="M5" || $_POST['classe']=="M6" || $_POST['classe']=="M8" || $_POST['classe']=="M9" || $_POST['classe']=="M10"){
									$nom = "nombreEstación";
								}else{
									$nom = "nombreElemento";
								}								
								try {
									$results = $sparql->query("SELECT ?Nom ?".$_POST['classe']." WHERE { ?".$_POST['classe']." rdf:type tfg:".$_POST['classe']." . ?".$_POST['classe']." tfg:".$nom." ?Nom . } ORDER BY ?Nom");
									if ($_POST['format']=="TXT") {
										print "<pre>".htmlspecialchars($results->dump('text'))."</pre>";
									} else {
										echo $results->dump('html');
									}
								} catch (Exception $e) {
									print "<p>Error realitzant la consulta: ".$e->getMessage()."</p>";
								}
							?>
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<input type="button" onclick="history.back(-1)" name="aceptar" class="btn btn-danger" value="Tornar enrere" />
							</div>
						</div>
				<?php
					}
				?>
			</div>
		</section>
	</div>
</div>
