<?php
	error_reporting(0);
	ini_set("display_errors","off");
	header('Content-type: text/html; charset=utf-8', true);
	require_once "lib/EasyRdf.php";
    $endpoint = "http://192.168.1.41:8890/sparql";
    $ontologia = "CRTM-Madrid.owl";
	if(isset($_GET['view'])){
		switch($_GET['view']){
			default:		$view = "home.php";		break;
			case 'list':	$view = "list.php";		break;
			case 'search':	$view = "search.php";	break;
			case 'query':	$view = "query.php";	break;
			case 'dump':	$view = "dump.php";		break;
		}
	}else{
		$view = "home.php";
	}
	$view = "views/".$view;
?>
<!DOCTYPE html>
<html lang="es">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="">
		<meta name="author" content="">
		<meta name="keyword" content="">
		<link rel="shortcut icon" href="">
		<title>TFG Ontologia del CRTM i d’elements d’interès de la ciutat de Madrid</title>
		<link rel="stylesheet" type="text/css" href="css/estilos.css" />
		<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css" />
		<link rel="stylesheet" type="text/css" href="css/bootstrap-reset.css" />
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
		<link rel="stylesheet" type="text/css" href="assets/fancybox/source/jquery.fancybox.css" />
		<link rel="stylesheet" type="text/css" href="css/gallery.css" />
		<link rel="stylesheet" type="text/css" href="assets/advanced-datatable/media/css/demo_page.css" />
		<link rel="stylesheet" type="text/css" href="assets/advanced-datatable/media/css/demo_table.css" />
		<link rel="stylesheet" type="text/css" href="assets/data-tables/DT_bootstrap.css" />
		<link rel="stylesheet" type="text/css" href="assets/bootstrap-fileupload/bootstrap-fileupload.css" />
		<link rel="stylesheet" type="text/css" href="assets/bootstrap-wysihtml5/bootstrap-wysihtml5.css" />
		<link rel="stylesheet" type="text/css" href="assets/bootstrap-datepicker/css/datepicker.css" />
		<link rel="stylesheet" type="text/css" href="assets/bootstrap-timepicker/compiled/timepicker.css" />
		<link rel="stylesheet" type="text/css" href="assets/bootstrap-colorpicker/css/colorpicker.css" />
		<link rel="stylesheet" type="text/css" href="assets/bootstrap-daterangepicker/daterangepicker-bs3.css" />
		<link rel="stylesheet" type="text/css" href="assets/bootstrap-datetimepicker/css/datetimepicker.css" />
		<link rel="stylesheet" type="text/css" href="css/loading_spinner.css" />
		<link rel="stylesheet" type="text/css" href="css/slidebars.css" />
		<link rel="stylesheet" type="text/css" href="css/style.css" />
		<link rel="stylesheet" type="text/css" href="css/style-responsive.css" />
		<link rel="stylesheet" type="text/css" href="css/invoice-print.css" media="print" />
		<!--[if lt IE 9]>
		  <script src="js/html5shiv.js"></script>
		  <script src="js/respond.min.js"></script>
		<![endif]-->
		<script type="text/javascript" src="js/jquery.js"></script>
		<script src="//cdn.ckeditor.com/4.5.1/standard/ckeditor.js"></script>
		<script type="text/javascript" src="js/functions.js"></script>
	</head>
	<body>
		<div class='loading ng-loading'></div>
		<section id="container">
			<?php include("static/header.php"); ?>
			<?php include("static/left-nav.php"); ?>
			<section id="main-content" class="nice-scroll">
				<section class="wrapper site-min-height ">
					<div id="warning-area"></div>
					<?php include($view); ?>
				</section>
			</section>
		</section>
		<script type="text/javascript" src="js/jquery-ui-1.9.2.custom.min.js"></script>
		<script type="text/javascript" src="js/jquery-migrate-1.2.1.min.js"></script>
		<script type="text/javascript" src="js/bootstrap.min.js"></script>
		<script type="text/javascript" src="js/jquery.dcjqaccordion.2.7.js" class="include"></script>
		<script type="text/javascript" src="assets/fancybox/source/jquery.fancybox.js"></script>
		<script type="text/javascript" src="js/jquery.scrollTo.min.js"></script>
		<script type="text/javascript" src="js/jquery.nicescroll.js"></script>
		<script type="text/javascript" src="assets/advanced-datatable/media/js/jquery.dataTables.js"></script>
		<script type="text/javascript" src="assets/data-tables/DT_bootstrap.js"></script>
		<script type="text/javascript" src="js/respond.min.js" ></script>
		<script type="text/javascript" src="js/dynamic_table_init.js"></script>
		<script type="text/javascript" src="assets/fuelux/js/spinner.min.js"></script>
		<script type="text/javascript" src="assets/bootstrap-inputmask/bootstrap-inputmask.min.js"></script>
		<script type="text/javascript" src="assets/bootstrap-fileupload/bootstrap-fileupload.js"></script>
		<script type="text/javascript" src="assets/bootstrap-wysihtml5/wysihtml5-0.3.0.js"></script>
		<script type="text/javascript" src="assets/bootstrap-wysihtml5/bootstrap-wysihtml5.js"></script>
		<script type="text/javascript" src="assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script type="text/javascript" src="assets/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
		<script type="text/javascript" src="assets/bootstrap-daterangepicker/moment.min.js"></script>
		<script type="text/javascript" src="assets/bootstrap-daterangepicker/daterangepicker.js"></script>
		<script type="text/javascript" src="assets/bootstrap-colorpicker/js/bootstrap-colorpicker.js"></script>
		<script type="text/javascript" src="assets/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>
		<script type="text/javascript" src="assets/jquery-multi-select/js/jquery.multi-select.js"></script>
		<script type="text/javascript" src="assets/jquery-multi-select/js/jquery.quicksearch.js"></script>
		<script type="text/javascript" src="js/form-validation-script.js"></script>
		<script type="text/javascript" src="js/modernizr.custom.js"></script>
		<script type="text/javascript" src="js/toucheffects.js"></script>
		<script type="text/javascript" src="js/slidebars.min.js"></script>
		<script type="text/javascript" src="js/common-scripts.js"></script>
	</body>
</html>
