<div class="row">
	<div class="col-lg-12">
		<section class="panel">
			<header class="panel-heading">
				<h3><i class="fas fa-play"> </i> Executar consultes</h3>
			</header>
			<div class="panel-body">
				<?php
					if(!isset($_POST['query'])){
				?>
						<form class="form form-horizontal" role="form" method="post" action="?view=query" id="query" onsubmit="return validateForm(this.id);" enctype="multipart/form-data">
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<label for="query" class="control-label col-lg-2 col-md-2 col-sm-2 col-xs-2">Consulta <span class="asterisk">*</span></label>
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<p>
										<?php
											foreach(EasyRdf_Namespace::namespaces() as $prefix => $uri) {
												print "PREFIX $prefix: &lt;".htmlspecialchars($uri)."&gt;<br />\n";
											}
										?>
									</p>
									<textarea class="form-control required" name="query" id="query" rows="10" autofocus>SELECT DISTINCT ?Concepte WHERE {[] a ?Concepte} LIMIT 100</textarea>
								</div>
							</div>
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<label for="format" class="control-label col-lg-2 col-md-2 col-sm-2 col-xs-2">Format de sortida <span class="asterisk">*</span></label>
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<select name="format" id="format" class="form-control required">
										<option value="HTML">HTML</option>
										<option value="TXT">TXT</option>
									</select>
								</div>
							</div>
							<br /><br />
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<label class="control-label col-lg-2 col-md-2 col-sm-2 col-xs-2"></label>
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<input type="submit" name="aceptar" class="btn btn-danger" value="Executar" />
								</div>
							</div>
						</form>
				<?php
					}else{
				?>
						<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
							<?php
								$sparql = new EasyRdf_Sparql_Client($endpoint);
								try {
									$results = $sparql->query($_POST['query']);
									if ($_POST['format']=="TXT") {
										print "<pre>".htmlspecialchars($results->dump('text'))."</pre>";
									} else {
										print $results->dump('html');
									}
								} catch (Exception $e) {
									print "<p>Error realitzant la consulta: ".$e->getMessage()."</p>";
								}
							?>
							<div class="form-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
								<input type="button" onclick="history.back(-1)" name="aceptar" class="btn btn-danger" value="Tornar enrere" />
							</div>
						</div>
				<?php
					}
				?>
			</div>
		</section>
	</div>
</div>
